<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/paginationjs/2.1.5/pagination.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/simplePagination.js/1.6/simplePagination.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.4.33/sweetalert2.css" />
    <link rel="stylesheet" href="./css/style.css" />
    <title>ShopBĐS</title>
    <style>
      form .error {
        color: #d30000;
        font-size: 14px;
        font-weight: normal !important;
      }
    </style>
  </head>

  <body>
    <!-- header -->
    <header>
      <nav class="navbar navbar-expand-lg navbar-light" id="navbar-main">
        <div class="container">
          <a class="navbar-brand text-info logo" href="index.html"
            ><i class="mdi mdi-home-map-marker"></i> <strong>Shop24h</strong> BĐS</a
          >
          <button
            class="navbar-toggler navbar-toggler-right"
            type="button"
            data-toggle="collapse"
            data-target="#navbarResponsive"
            aria-controls="navbarResponsive"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarResponsive">
            <ul class="navbar-nav mr-auto my-2 m-auto">
              <li class="nav-item mx-1">
                <a class="nav-link" href="index.html"> Trang chủ </a>
              </li>
              <li class="nav-item dropdown mx-1">
                <a class="nav-link" href="project.html" id="navbarDropdown"> Danh sách Dự án </a>
              </li>
              <li class="nav-item dropdown mx-1">
                <a class="nav-link" href="estatelist.html" id=""> Danh sách BĐS </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <a class="dropdown-item" href="">Đất</a>
                  <a class="dropdown-item" href="">Nhà ở</a>
                  <a class="dropdown-item" href="">Căn hộ/Chung cư</a>
                  <a class="dropdown-item" href="">Văn phòng, Mặt bằng</a>
                  <a class="dropdown-item" href="">Kinh doanh</a>
                  <a class="dropdown-item" href="">Phòng trọ</a>
                </div>
              </li>

              <li class="nav-item dropdown mx-1">
                <a
                  class="nav-link dropdown-toggle"
                  href="#"
                  id="navbarDropdown"
                  data-toggle="dropdown"
                  aria-haspopup="true"
                  aria-expanded="false"
                >
                  Tin tức
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <a class="dropdown-item" href="">Blog</a>
                  <a class="dropdown-item" href="">Tin bất động sản</a>
                </div>
              </li>
              <li class="nav-item dropdown mx-1">
                <a
                  class="nav-link dropdown-toggle"
                  href=""
                  id="navbarDropdown"
                  data-toggle="dropdown"
                  aria-haspopup="true"
                  aria-expanded="false"
                >
                  Quản lý tài khoản
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <a class="dropdown-item" href="#">Thông tin tài khoản</a>
                  <a class="dropdown-item" href="manageList.html">Quản lý tin đăng</a>
                  <a class="dropdown-item" href="estateAdd.html">Đăng tin mới</a>
                </div>
              </li>
            </ul>

            <div class="">
              <ul class="list-inline main-nav-right my-2">
                <li class="list-inline-item">
                  <a class="btn btn-link btn-sm text-info" href="login.html">Đăng nhập</a>
                </li>
                <li class="list-inline-item">
                  <a class="btn btn-info btn-sm" href="register.html">Đăng ký</a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </nav>
    </header>

    <!-- 2. Slide body -->

    <!-- end slide -->

    <!-- popular -->
    <div class="contaner-fluid py-5 pb-5" id="project-popular">
      <div class="container">
        <div class="row mt-5">
          <div
            class="p-5 bg-white jumbotron mx-auto border border-info rounded"
            style="min-width: 500px"
            id="signup-form"
          >
            <form class="" id="login-form">
              <h3 class="text-center">Đăng nhập</h3>
              <hr />
              <div class="form-group">
                <input type="text" class="form-control" id="input-username" placeholder="Username" name="username" />
              </div>
              <div class="form-group">
                <input
                  type="password"
                  class="form-control"
                  id="input-password"
                  placeholder="Password"
                  name="password"
                />
              </div>
              <div class="form-group">
                <small id="error" class="form-text text-danger d-none"></small>
              </div>

              <div class="form-group mb-4">
                <input type="checkbox" name="remember" id="checkbox-accept" class="mr-2" />
                <label for="checkbox-accept">Nhớ tài khoản</label><br />
                <!-- <a href="register.html" id="" class="float-right text-decoration-none">Đăng ký</a> -->
              </div>
              <button id="login-btn" class="btn btn-info btn-block">Đăng nhập</button>
              <hr />
              <p class="mt-4 text-center">
                Bạn chưa có tài khoản? <a href="register.html" id="" class="text-decoration-none"> Đăng ký </a>
              </p>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- end popular -->

    <!-- footer -->
    <div class="container-fluid pt-5">
      <section class="section-padding" id="footer">
        <div class="container">
          <div class="row">
            <div class="col-md-3">
              <h4 class="">
                <a class="text-info logo" href="#"><i class=""></i> <strong>Shop24h</strong> BĐS</a>
              </h4>
              <p>Copyright © - LinhTN<br />Devcamp120</p>
              <p class="mb-0"><a class="text-dark" href="#">+84 999 999 999</a></p>
              <p class="mb-0"><a class="text-info" href="#">linhtn@gmail.com</a></p>
            </div>
            <div class="col-md-3">
              <h6 class="">Công ty</h6>
              <ul>
                <li><a href="#">About us</a></li>
                <li><a href="#">Career</a></li>
                <li><a href="#">Services</a></li>
                <li><a href="#">Properties</a></li>
                <li><a href="#">Contact</a></li>
                <ul></ul>
              </ul>
            </div>
            <div class="col-md-3">
              <h6 class="">Xem thêm</h6>
              <ul>
                <li><a href="#">Privacy</a></li>
                <li><a href="#">Terms &amp; Conditions</a></li>
                <li><a href="#">Account</a></li>
                <li><a href="#">FAQ</a></li>
                <li><a href="#">Blog</a></li>
                <ul></ul>
              </ul>
            </div>
            <div class="col-md-3">
              <h6 class="">Nhận tin mới nhất</h6>
              <div class="input-group">
                <input
                  type="text"
                  class="form-control"
                  placeholder="Email Address..."
                  aria-label="Recipient's username"
                  aria-describedby="basic-addon2"
                />
                <div class="input-group-append">
                  <button class="btn btn-outline-secondary" type="button"><i class="fa-solid fa-at"></i></button>
                </div>
              </div>
              <h6 class="mt-4">GET IN TOUCH</h6>
              <div class="footer-social">
                <a href="#"><i class="fa-brands fa-facebook-f text-info"></i></a>
                <a href="#"><i class="fa-brands fa-twitter text-info"></i></a>
                <a href="#"><i class="fa-brands fa-square-instagram text-info"></i></a>
                <a href="#"><i class="fa-brands fa-google-plus-g text-info"></i></a>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
    <!-- end footer -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/autonumeric/4.1.0/autoNumeric.min.js"></script>
    <script
      type="text/javascript"
      src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js"
    ></script>
    <script src="./js/slick.js"></script>
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/paginationjs/2.1.5/pagination.min.js"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/simplePagination.js/1.6/jquery.simplePagination.min.js"></script>
    <script
      type="text/javascript"
      src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.5/dist/jquery.validate.min.js"
    ></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.4.33/sweetalert2.min.js"></script>
    <script>
      $(document).ready(function () {
        const gAPI_URL = 'http://localhost:8080/'

        navbarTranform()
        $(window).scroll(navbarTranform)

        function navbarTranform() {
          if ($(document).scrollTop() > 30) {
            $('#navbar-main').addClass('transform')
            $('#navbar-main').addClass('navbar-dark bg-dark')
            $('#navbar-main').removeClass('navbar-light  bg-light')
          } else {
            $('#navbar-main').removeClass('transform')
            $('#navbar-main').removeClass('navbar-dark bg-dark')
            $('#navbar-main').addClass('navbar-light bg-light')
          }
        }

        //----Phần này làm sau khi đã làm trang info.js
        //Kiểm tra token nếu có token tức người dùng đã đăng nhập
        const token = getCookie('token')

        if (token) {
          callApiGetUserIdByToken(token)
          // window.location.href = 'addressMap.html'
          // console.log(window.location.href)
        }
        //----Phần này làm sau khi đã làm trang info.js

        //Sự kiện bấm nút login
        $('#login-btn').on('click', function (e) {
          e.preventDefault()
          // console.log('submit')
          var user = {
            username: $('#input-username').val().trim(),
            password: $('#input-password').val().trim(),
          }
          // console.log(user)

          if ($('#login-form').valid()) {
            signin(user)
          }
        })

        function signin(user) {
          var loginUrl = gAPI_URL + 'login'
          //API theo đặc tả sẽ call theo data-form chứ không phải kiểu json nên cần khai báo formdata
          $.ajax({
            type: 'POST',
            url: loginUrl,
            data: JSON.stringify(user),
            contentType: 'application/json; charset=utf-8',
            //   dataType: 'json',
            success: function (responseObject) {
              // console.log(responseObject)

              responseHandler(responseObject)
            },
            error: function (xhr) {
              // Lấy error message
              // alert(xhr.responseText)
              // console.log(xhr)
              Swal.fire({
                position: 'top',
                icon: 'error',
                title: xhr.responseText,
                showConfirmButton: false,
                timer: 2000,
              })
            },
          })
        }

        //Xử lý object trả về khi login thành công
        function responseHandler(data) {
          //Lưu token vào cookie trong 1 ngày
          setCookie('token', data, 1)
          // console.log(document.cookie)
          callApiGetUserIdByToken(data)
          // window.location.href = 'addressMap.html'
        }

        function callApiGetUserIdByToken(paramToken) {
          $.ajax({
            url: gAPI_URL + 'findUserId/Token',
            type: 'GET',
            dataType: 'json',
            contentType: 'application/json; charset=utf-8',
            headers: {
              Authorization: 'Token ' + paramToken,
            },
            success: function (responseObject) {
              // console.log('user id: ', responseObject)
              getUserInfo(responseObject)
            },
            error: function (pAjaxContext) {
              //redirectToLogin();
            },
          })
        }

        // get user info to redirect
        function getUserInfo(paramId) {
          $.ajax({
            type: 'get',
            url: gAPI_URL + 'user/' + paramId,
            dataType: 'json',
            async: false,
            success: function (response) {
              // console.log(response)
              // console.log(response.roles[0].roleKey)
              let userRole = response.roles[0].roleKey
              handleUserAuth(userRole)
            },
          })
        }
        // xử lý redirect trang theo user role
        function handleUserAuth(paramRole) {
          switch (paramRole) {
            case 'ROLE_ADMIN':
              window.location.href = 'index.html'
              break

            case 'ROLE_HOMESELLER':
              window.location.href = 'index.html'
              break

            case 'ROLE_CUSTOMER':
              window.location.href = 'manageList.html'
              break

            default:
              window.location.href = 'index.html'
              break
          }
        }

        //Hàm setCookie đã giới thiệu ở bài trước
        function setCookie(cname, cvalue, exdays) {
          var d = new Date()
          d.setTime(d.getTime() + exdays * 24 * 60 * 60 * 1000)
          var expires = 'expires=' + d.toUTCString()
          document.cookie = cname + '=' + cvalue + ';' + expires + ';path=/'

          // console.log(cname)
          // console.log(cvalue)
          // console.log(exdays)
        }

        //Hiển thị lỗi lên form
        function showError(message) {
          var errorElement = $('#error')

          errorElement.html(message)
          errorElement.addClass('d-block')
          errorElement.addClass('d-none')
        }

        // validate data
        $('#login-form').validate({
          rules: {
            username: 'required',
            password: 'required',
          },
          messages: {
            username: 'Vui lòng nhập username',
            password: 'Vui lòng nhập password',
          },
        })

        // Hàm validate email bằng regex
        // function validateEmail(email) {
        //     const regex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        //     return regex.test(String(email).toLowerCase());
        // }

        //Hàm get Cookie đã giới thiệu ở bài trước
        function getCookie(cname) {
          var name = cname + '='
          var decodedCookie = decodeURIComponent(document.cookie)
          var ca = decodedCookie.split(';')
          for (var i = 0; i < ca.length; i++) {
            var c = ca[i]
            while (c.charAt(0) == ' ') {
              c = c.substring(1)
            }
            if (c.indexOf(name) == 0) {
              return c.substring(name.length, c.length)
            }
          }
          return ''
        }
      })
    </script>
  </body>
</html>
